<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes" standalone="yes" doctype-system="about:legacy-compat" />
	<xsl:param name="company" select="'ACME Corporation'"/>
	<xsl:param name="date" select="'01 January 1970'"/>
	<xsl:param name="title">Ainsley Ellis: <xsl:value-of select="$company"/> Letter</xsl:param>
	<xsl:template match="/text" data-xmlns="http://www.w3.org/1999/xhtml">
		<html lang="en" dir="ltr">
			<!-- The Yesterweb is dead, long live the Yesterweb! -->
			<head>
				<meta charset="UTF-8" />
				<meta name="viewport" content="width=device-width, initial-scale=1.0" />
				<meta name="color-scheme" content="light dark" />
				<title><xsl:value-of select="$title"/></title>
				<link rel="stylesheet" href="../assets/css/all.css" />
				<link rel="stylesheet" href="../assets/css/screen.css" media="screen" />
				<link rel="stylesheet" href="../assets/css/print.css" media="print" />
			</head>
			<body class="letter">
				<xsl:copy-of select="document('./fragments/header.xml')"/>
				<hr />
				<main id="main">
					<header>
						<p><time><xsl:value-of select="$date"/></time></p>
						<p>Dear <xsl:value-of select="$company"/> Hiring Team,</p>
					</header>
					<xsl:copy-of select="./node()" />
					<footer>
						<p>Sincerely,</p>
						<img id="signature" src="data:image/svg+xml;charset=utf-8;base64,{$signature}" alt="Ainsley Ellis signature" />
						<p>Ainsley Ellis</p>
					</footer>
				</main>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
